var customer_name = env.SAAGIE_CUSTOMER_NAME;
var security_provider = env.SAAGIE_SECURITY_PROVIDER;
var super_admin_group = env.SAAGIE_SECURITY_SUPER_ADMIN_GROUP;
var admin_group = env.SAAGIE_ADMIN_GROUP;
var protected_groups = env.SAAGIE_PROTECTED_GROUPS;



db=db.getSiblingDB(`security-persistence-adapter-${customer_name}`);
print ('Add role to groups in security-persistence-adapter db');
if (security_provider !== 'ldap') {
  print (`  Inserting ${super_admin_group}`);
  db.groups.update({"_id" : super_admin_group},{$setOnInsert:{"authorizations": []}},{upsert: true});
  db.groups.update({"_id" : super_admin_group},{"role": "ROLE_SUPER_ADMIN"});
}
print (`  Inserting ${admin_group}`);
db.groups.update({"_id" : admin_group},{$setOnInsert:{"authorizations": []}},{upsert: true});
db.groups.update({"_id" : admin_group},{"role": "ROLE_ADMIN"});

protected_groups.forEach(protected_group => {
  var _id = protected_group.name.toLowerCase();
  print (`  Inserting ${_id}`);
  db.groups.update({_id},{$setOnInsert:{"role": protected_group.role,"authorizations": []}},{upsert: true});
});
