{{/* vim: set filetype=mustache: */}}

{{- define "changelogs.name" -}}
{{- include "saagie-common.name" . -}}
{{- end -}}

{{- define "changelogs.fullname" -}}
{{- printf "%s-%s" .Release.Name "changelogs" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "changelogs.labels" -}}
{{ dict "prefix" "changelogs" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "changelogs.labels.first-upgrade" -}}
{{ dict "prefix" "changelogs" "component" "first-upgrade" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "changelogs.labels.pre-upgrade" -}}
{{ dict "prefix" "changelogs" "component" "pre-upgrade" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "changelogs.labels.post-upgrade" -}}
{{ dict "prefix" "changelogs" "component" "post-upgrade" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "changelogs.selectorLabels.first-upgrade" -}}
{{ dict "prefix" "changelogs" "component" "first-upgrade" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "changelogs.selectorLabels.pre-upgrade" -}}
{{ dict "prefix" "changelogs" "component" "pre-upgrade" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "changelogs.selectorLabels.post-upgrade" -}}
{{ dict "prefix" "changelogs" "component" "post-upgrade" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "changelogs.serviceAccount.name" -}}
sa-saagie-changelogs
{{- end -}}