{{/* vim: set filetype=mustache: */}}

{{- define "conforama.name" -}}
{{- "conforama" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "conforama.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "conforama.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "conforama.labels" -}}
{{ dict "prefix" "conforama" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "conforama.selectorLabels" -}}
{{ dict "prefix" "conforama" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "conforama.port" -}}
80
{{- end -}}

{{- define "conforama.url" -}}
http://{{ include "conforama.fullname" . }}:{{ include "conforama.port" . }}
{{- end -}}

{{- define "conforama.serviceAccountName" -}}
conforama
{{- end -}}

