{{/* vim: set filetype=mustache: */}}

{{- define "gateway.name" -}}
{{- "gateway" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "gateway.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "gateway.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "gateway.labels" -}}
{{ dict "prefix" "gateway" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "gateway.selectorLabels" -}}
{{ dict "prefix" "gateway" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "gateway.port" -}}
4001
{{- end -}}
