{{/* vim: set filetype=mustache: */}}

{{- define "login.name" -}}
{{- "login" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "login.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "login.name" .)  | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "login.labels" -}}
{{ dict "prefix" "login" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "login.selectorLabels" -}}
{{ dict "prefix" "login" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "login.port" -}}
8000
{{- end -}}
