{{/* vim: set filetype=mustache: */}}

{{- define "profile.name" -}}
{{- "profile" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "profile.fullname" -}}
{{- printf "%s-%s" .Release.Name "profile" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "profile.labels" -}}
{{ dict "prefix" "profile" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "profile.selectorLabels" -}}
{{ dict "prefix" "profile" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "profile.port.http" -}}
8085
{{- end -}}
{{- define "profile.port.grpc" -}}
8083
{{- end -}}
{{- define "profile.port.management" -}}
8084
{{- end -}}
