{{/* vim: set filetype=mustache: */}}

{{- define "projects-and-jobs.name" -}}
{{- "projects-and-jobs" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "projects-and-jobs.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "projects-and-jobs.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "projects-and-jobs.labels.base" -}}
{{ mustMerge (dict "prefix" "projects-and-jobs") . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "projects-and-jobs.labels" -}}
{{ dict "context" . | include "projects-and-jobs.labels.base" }}
{{- end -}}

{{- define "projects-and-jobs.labels.ui" -}}
{{ dict "component" "ui" "context" . | include "projects-and-jobs.labels.base" }}
{{- end -}}

{{- define "projects-and-jobs.labels.api" -}}
{{ dict "component" "api" "context" . | include "projects-and-jobs.labels.base" }}
{{- end -}}

{{- define "projects-and-jobs.selectorLabels.base" -}}
{{ mustMerge (dict "prefix" "projects-and-jobs") . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "projects-and-jobs.selectorLabels" -}}
{{ dict "context" . | include "projects-and-jobs.selectorLabels.base" }}
{{- end -}}

{{- define "projects-and-jobs.selectorLabels.ui" -}}
{{ dict "component" "ui" "context" . | include "projects-and-jobs.selectorLabels.base" }}
{{- end -}}

{{- define "projects-and-jobs.selectorLabels.api" -}}
{{ dict "component" "api" "context" . | include "projects-and-jobs.selectorLabels.base" }}
{{- end -}}

{{- define "projects-and-jobs.port.api" -}}
4000
{{- end -}}

{{- define "projects-and-jobs.port.actuator" -}}
4004
{{- end -}}

{{- define "projects-and-jobs-ui.port" -}}
8000
{{- end -}}
