{{/* vim: set filetype=mustache: */}}

{{- define "prom-proxy.name" -}}
{{- include "saagie-common.name" . -}}
{{- end -}}

{{- define "prom-proxy.fullname" -}}
{{- include "saagie-common.fullname" . -}}
{{- end -}}

{{- define "prom-proxy.labels" -}}
{{ dict "prefix" "prom-proxy" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "prom-proxy.selectorLabels" -}}
{{ dict "prefix" "prom-proxy" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "prom-proxy.port" -}}
8080
{{- end -}}

{{- define "prom-proxy.prometheusUrl" -}}
{{- printf "http://%s-%s:%d%s" .Release.Name "observability-prometheus-server" 80 "/observability/prometheus" -}}
{{- end -}}
