{{/* vim: set filetype=mustache: */}}

{{- define "traefik.name" -}}
{{- "traefik" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "traefik.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "traefik.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "traefik.labels" -}}
{{ dict "prefix" "traefik" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "traefik.selectorLabels" -}}
{{ dict "prefix" "traefik" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "traefik.port" -}}
80
{{- end -}}
