{{/* vim: set filetype=mustache: */}}

{{- define "settings.appsStorageSizeStepInMb" -}}
  {{- if .Values.env -}}
    {{- if .Values.env.appsStorageSizeStepInMb -}}
      {{- .Values.env.appsStorageSizeStepInMb | quote -}}
    {{- else -}}
      {{ fail ".Values.env.appsStorageSizeStepInMb should exist, but wasn't" }}
    {{- end -}}
  {{- else -}}
    {{ fail ".Values.env should exist, but wasn't" }}
  {{- end -}}
{{- end -}}

{{- define "settings.appsMaxStorageSizeInMb" -}}
  {{- if .Values.env -}}
    {{- if .Values.env.appsMaxStorageSizeInMb -}}
      {{- if ge (int .Values.env.appsMaxStorageSizeInMb) (int .Values.env.appsStorageSizeStepInMb) -}}
        {{- .Values.env.appsMaxStorageSizeInMb | quote -}}
      {{- else -}}
        {{ fail "env.appsMaxStorageSizeInMb is invalid or malformed" }}
      {{- end -}}
    {{- else -}}
      {{ fail ".Values.env.appsMaxStorageSizeInMb should exist, but wasn't" }}
    {{- end -}}
  {{- else -}}
    {{ fail ".Values.env should exist, but wasn't" }}
  {{- end -}}
{{- end -}}
