var customer_name = env.SAAGIE_CUSTOMER_NAME;
var m2m_user = env.SAAGIE_M2M_USER;
var protected_users = env.SAAGIE_PROTECTED_USERS;

db=db.getSiblingDB(`saagie-${customer_name}`);

print('Add admin user to database for customer');
print (`Inserting ${m2m_user}`);
db.users.replaceOne({"_id" : m2m_user},{ "_id" : m2m_user, "roles" : [], "platforms":[] }, {upsert: true});

print('Add protected users to database for customer')
protected_users.forEach(protected_user => {
  var _id = protected_user.toLowerCase();
  print (`  Inserting ${_id}`);
  db.users.replaceOne({_id},{ _id, "roles" : [], "platforms":[] }, {upsert: true});
});
