{{/* vim: set filetype=mustache: */}}

{{- define "app-k8s-controller.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "app-k8s-controller.name" -}}
{{- "app-k8s-controller" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "app-k8s-controller.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "app-k8s-controller.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "app-k8s-controller.labels" -}}
{{ dict "prefix" "app-k8s-controller" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "app-k8s-controller.selectorLabels" -}}
{{ dict "prefix" "app-k8s-controller" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}
