{{/* vim: set filetype=mustache: */}}

{{- define "auth.name" -}}
{{- "auth" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "auth.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "auth.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "auth.labels" -}}
{{ dict "prefix" "auth" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "auth.selectorLabels" -}}
{{ dict "prefix" "auth" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "auth.port.grpc" -}}
8047
{{- end -}}
{{- define "auth.port.http" -}}
8040
{{- end -}}
{{- define "auth.port.management" -}}
8041
{{- end -}}

{{- define "auth.url.http" -}}
http://{{ include "chart.fullname" . }}:{{ include "auth.port.http" . }}
{{- end -}}
