{{/* vim: set filetype=mustache: */}}

{{- define "authentication.name" -}}
{{- "authentication" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "authentication.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "authentication.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "authentication.labels" -}}
{{ dict "prefix" "authentication" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "authentication.selectorLabels" -}}
{{ dict "prefix" "authentication" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "authentication.port.http" -}}
8045
{{- end -}}
{{- define "authentication.port.grpc" -}}
8044
{{- end -}}
{{- define "authentication.port.management" -}}
8046
{{- end -}}


{{- define "authentication.host.http" -}}
{{ include "chart.fullname" . }}:{{ include "authentication.port.http" . }}
{{- end -}}

{{- define "authentication.url.http" -}}
http://{{ include "authentication.host.http" . }}
{{- end -}}
