{{/* vim: set filetype=mustache: */}}

{{- define "idmacl.name" -}}
{{- "idmacl" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "idmacl.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "idmacl.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "idmacl.labels" -}}
{{ dict "prefix" "idmacl" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "idmacl.selectorLabels" -}}
{{ dict "prefix" "idmacl" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "idmacl.port" -}}
8065
{{- end -}}
{{- define "idmacl.port.management" -}}
8066
{{- end -}}
