{{/* vim: set filetype=mustache: */}}

{{- define "ingress-nginx.name" -}}
{{- include "saagie-common.name" . -}}
{{- end -}}

{{- define "ingress-nginx.labels.base" -}}
{{ mustMerge (dict "prefix" "ingress-nginx") . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "ingress-nginx.labels" -}}
{{ dict "context" . | include "ingress-nginx.labels.base" }}
{{- end -}}

{{- define "ingress-nginx.labels.controller" -}}
{{ dict "component" "controller" "context" . | include "ingress-nginx.labels.base" }}
{{- end -}}

{{- define "ingress-nginx.labels.default-backend" -}}
{{ dict "component" "default-backend" "context" . | include "ingress-nginx.labels.base" }}
{{- end -}}

{{- define "ingress-nginx.labels.admission-webhook" -}}
{{ dict "component" "admission-webhook" "context" . | include "ingress-nginx.labels.base" }}
{{- end -}}

{{- define "ingress-nginx.selectorLabels.base" -}}
{{ mustMerge (dict "prefix" "saagie-common") . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "ingress-nginx.selectorLabels" -}}
{{ dict "context" . | include "ingress-nginx.selectorLabels.base" }}
{{- end -}}

{{- define "ingress-nginx.selectorLabels.controller" -}}
{{ dict "component" "controller" "context" . | include "ingress-nginx.selectorLabels.base" }}
{{- end -}}

{{- define "ingress-nginx.selectorLabels.default-backend" -}}
{{ dict "component" "default-backend" "context" . | include "ingress-nginx.selectorLabels.base" }}
{{- end -}}

{{- define "ingress-nginx.selectorLabels.admission-webhook" -}}
{{ dict "component" "admission-webhook" "context" . | include "ingress-nginx.selectorLabels.base" }}
{{- end -}}
