{{/* vim: set filetype=mustache: */}}

{{- define "postgresql.name" -}}
{{- "postgresql" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "postgresql.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "postgresql.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "postgresql.labels" -}}
{{ dict "prefix" "postgresql" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "postgresql.selectorLabels" -}}
{{ dict "prefix" "postgresql" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}
