{{/* vim: set filetype=mustache: */}}

{{- define "scredz.name" -}}
{{- "scredz" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "scredz.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "scredz.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "scredz.labels" -}}
{{ dict "prefix" "scredz" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "scredz.selectorLabels" -}}
{{ dict "prefix" "scredz" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "scredz.port" -}}
8080
{{- end -}}

{{- define "scredz.url" -}}
http://{{ include "scredz.fullname" . }}:{{ include "scredz.port" . }}
{{- end -}}

{{- define "scredz.serviceAccountName" -}}
scredz
{{- end -}}