{{/* vim: set filetype=mustache: */}}

{{- define "settings.name" -}}
{{- "settings" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "settings.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "settings.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "settings.labels" -}}
{{ dict "prefix" "settings" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "settings.selectorLabels" -}}
{{ dict "prefix" "settings" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "settings.port.api" -}}
4100
{{- end -}}
{{- define "settings.port.grpc" -}}
4105
{{- end -}}
{{- define "settings.port.actuator" -}}
4104
{{- end -}}

{{- define "settings.url.api" -}}
http://{{ include "settings.fullname" . }}:{{ include "settings.port.api" . }}
{{- end -}}
